> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an integration trigger

> Retrieve a trigger definition and its default filter values for an integration in the current organization.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/integrations/{integrationId}/triggers/{triggerName}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/{integrationId}/triggers/{triggerName}:
    get:
      tags:
        - Integrations
      summary: Retrieve an integration trigger
      description: >-
        Retrieve a trigger definition and its default filter values for an
        integration in the current organization.
      operationId: retrieveIntegrationTrigger
      parameters:
        - in: path
          name: integrationId
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: triggerName
          schema:
            type: string
            minLength: 1
            maxLength: 500
          required: true
      responses:
        '200':
          description: Retrieve an integration trigger
          content:
            application/json:
              schema:
                type: object
                properties:
                  description:
                    type: string
                    maxLength: 4096
                  displayName:
                    type: string
                    maxLength: 500
                  filters:
                    type: object
                    properties:
                      properties:
                        type: object
                        propertyNames:
                          type: string
                          minLength: 1
                          maxLength: 200
                        additionalProperties:
                          oneOf:
                            - type: object
                              properties:
                                description:
                                  type: string
                                  maxLength: 2000
                                type:
                                  type: string
                                  const: boolean
                                default:
                                  type: boolean
                              required:
                                - type
                              additionalProperties: false
                            - type: object
                              properties:
                                description:
                                  type: string
                                  maxLength: 2000
                                enum:
                                  type: array
                                  items:
                                    type: string
                                    maxLength: 500
                                  maxItems: 100
                                type:
                                  type: string
                                  const: string
                              required:
                                - type
                              additionalProperties: false
                            - type: object
                              properties:
                                description:
                                  type: string
                                  maxLength: 2000
                                items:
                                  type: object
                                  properties:
                                    enum:
                                      type: array
                                      items:
                                        type: string
                                        maxLength: 500
                                      maxItems: 100
                                    type:
                                      type: string
                                      const: string
                                  required:
                                    - type
                                  additionalProperties: false
                                type:
                                  type: string
                                  const: array
                              required:
                                - items
                                - type
                              additionalProperties: false
                    required:
                      - properties
                    additionalProperties: false
                  hasFilterOptions:
                    type: boolean
                  name:
                    type: string
                    minLength: 1
                    maxLength: 500
                  integrationId:
                    type: string
                    format: uuid
                  integrationType:
                    type: string
                    enum:
                      - github
                      - gitlab
                      - bitbucket
                      - atlassian
                      - linear
                      - slack
                      - sentry
                      - aws
                      - agent
                      - notion
                      - postgres
                      - bigquery
                      - azure
                      - ms-teams
                      - snyk
                      - hubspot
                      - openconnect
                      - tailscale
                  defaultFilters:
                    type: object
                    propertyNames:
                      type: string
                      minLength: 1
                      maxLength: 200
                    additionalProperties:
                      anyOf:
                        - type: boolean
                        - type: string
                          maxLength: 500
                        - type: array
                          items:
                            type: string
                            maxLength: 500
                          maxItems: 10000
                required:
                  - description
                  - displayName
                  - hasFilterOptions
                  - name
                  - integrationId
                  - integrationType
                  - defaultFilters
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration, trigger, or filter field not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '503':
          description: Requested integration capability is not configured
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: >
            import Tembo from '@tembo-io/sdk';


            const client = new Tembo();


            const trigger = await
            client.integrations.triggers.retrieve('triggerName', {
              integrationId: '7c9e6679-7425-40de-944b-e07fc1f90ae7',
            });
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.